List broadcasts
curl --request GET \
--url https://app.msportal.ai/api/public/v1/broadcasts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/broadcasts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/broadcasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/broadcasts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/broadcasts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/broadcasts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"groupNames": [
"<string>"
],
"totalRecipients": 123,
"sentCount": 123,
"failedCount": 123,
"status": "<string>",
"sentByName": "<string>",
"sentByEmail": "<string>",
"fromAddress": "<string>",
"createdAt": "<string>",
"completedAt": "<string>"
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Broadcasts
List broadcasts
Emergency broadcast history with delivery counts and status, paginated. Excludes the HTML body; fetch one broadcast for the full content. Requires broadcasts.read and the linked user’s read_broadcasts permission.
GET
/
api
/
public
/
v1
/
broadcasts
List broadcasts
curl --request GET \
--url https://app.msportal.ai/api/public/v1/broadcasts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/broadcasts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/broadcasts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/broadcasts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/broadcasts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/broadcasts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"groupNames": [
"<string>"
],
"totalRecipients": 123,
"sentCount": 123,
"failedCount": 123,
"status": "<string>",
"sentByName": "<string>",
"sentByEmail": "<string>",
"fromAddress": "<string>",
"createdAt": "<string>",
"completedAt": "<string>"
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Was this page helpful?